Bug 59903 - Availability attributes do not check min and max values.
Summary: Availability attributes do not check min and max values.
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Xamarin.iOS.dll (show other bugs)
Version: master
Hardware: PC Mac OS
: Normal enhancement
Target Milestone: 15.7
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-10-02 17:56 UTC by Manuel de la Peña [MSFT]
Modified: 2018-01-04 21:32 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: No
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Manuel de la Peña [MSFT] 2017-10-02 17:56:34 UTC
The new Availability attributes do not check minimum and maximum versions which means that we do have some bindings that are pointing to far in the future APIs and we do not get warnings or errors about it.


Adding introspections tests would be a good path to follow.
Comment 1 Vincent Dondain [MSFT] 2017-10-02 22:39:02 UTC
We acknowledge this enhancement request, therefore marked it as CONFIRMED.
Comment 2 Sebastien Pouliot 2018-01-04 21:32:55 UTC
It's not a perfect validation (e,g. iOS 9.9 would be valid) but PR3141 [1] added test so we cannot have a future version (e.g. [Mac(13,0)] instead of [Mac (10,13)] without failing the into tests.

[1] https://github.com/xamarin/xamarin-macios/pull/3141